PersistentIdentifierGenerator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Interface PersistentIdentifierGenerator

All Superinterfaces:
  IdentifierGenerator

All Known Implementing Classes:
  MultipleHiLoPerTableGenerator, SequenceGenerator, SequenceHiLoGenerator, SequenceIdentityGenerator, SequenceStyleGenerator, TableGenerator, TableGenerator, TableHiLoGenerator

    public interface PersistentIdentifierGenerator

extends IdentifierGenerator

An `IdentifierGenerator` that requires creation of database objects.
All `PersistentIdentifierGenerator`s that also implement `Configurable` have access to a special mapping parameter: schema

See Also:
  `IdentifierGenerator`, `Configurable`

Field Summary
`static String` | `CATALOG` The configuration parameter holding the catalog name
`static String` | `IDENTIFIER_NORMALIZER` The key under whcih to find the `ObjectNameNormalizer` in the config param map.
`static String` | `PK` The configuration parameter holding the primary key column name of the generated id
`static String` | `SCHEMA` The configuration parameter holding the schema name
`static String` | `TABLE` The configuration parameter holding the table name for the generated id
`static String` | `TABLES` The configuration parameter holding the table names for all tables for which the id must be unique

Fields inherited from interface org.hibernate.id.IdentifierGenerator
`ENTITY_NAME`

Method Summary
`Object` | `generatorKey()` Return a key unique to the underlying database objects.
`String[]` | `sqlCreateStrings(Dialect dialect)` The SQL required to create the underlying database objects.
`String[]` | `sqlDropStrings(Dialect dialect)` The SQL required to remove the underlying database objects.

Methods inherited from interface org.hibernate.id.IdentifierGenerator
`generate`

Field Detail

### SCHEMA

    static final String SCHEMA

  The configuration parameter holding the schema name

  See Also:
    Constant Field Values

### TABLE

    static final String TABLE

  The configuration parameter holding the table name for the generated id

  See Also:
    Constant Field Values

### TABLES

    static final String TABLES

  The configuration parameter holding the table names for all tables for which the id must be unique

  See Also:
    Constant Field Values

### PK

    static final String PK

  The configuration parameter holding the primary key column name of the generated id

  See Also:
    Constant Field Values

### CATALOG

    static final String CATALOG

  The configuration parameter holding the catalog name

  See Also:
    Constant Field Values

### IDENTIFIER_NORMALIZER

    static final String IDENTIFIER_NORMALIZER

  The key under whcih to find the `ObjectNameNormalizer` in the config param map.

  See Also:
    Constant Field Values

Method Detail

### sqlCreateStrings

    String[] sqlCreateStrings(Dialect dialect)
                              throws HibernateException

  The SQL required to create the underlying database objects.

  Parameters:
    `dialect` - The dialect against which to generate the create command(s)
  Returns:
    The create command(s)
  Throws:
    `HibernateException` - problem creating the create command(s)

### sqlDropStrings

    String[] sqlDropStrings(Dialect dialect)
                            throws HibernateException

  The SQL required to remove the underlying database objects.

  Parameters:
    `dialect` - The dialect against which to generate the drop command(s)
  Returns:
    The drop command(s)
  Throws:
    `HibernateException` - problem creating the drop command(s)

### generatorKey

    Object generatorKey()

  Return a key unique to the underlying database objects. Prevents us from trying to create/remove them multiple times.

  Returns:
    Object an identifying key for this generator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.